from Evenements.models import *
from Evenements.views import *
import sys
import locale,datetime
locale.setlocale(locale.LC_TIME,'')
mois=["Janvier","Février","Mars","Avril","Mais","Juin","Juillet","Août",
      "Septembre","Octobre","Novembre","Décembre"]
jour=["Lundi","Mardi","Mercredi","Jeudi","Vendredi","Samedi","Dimanche"]
def dateclear(s):
    ll=s.split()
    ll[1]=mois[int(ll[1])-1]
    return " ".join(ll)

    
#
#Y=int(sys.argv[1])
Y=2020

Q=Conference.objects.all()
Qok=[x for x in Q if x.date.year==Y]
for x in Qok:
    day=jour[x.date.weekday()]
    thedate= dateclear(x.date.strftime('%d %m %Y'))
    tit=x.Titre.replace("<sup>ème</sup>","\ieme")
    s=f"{day}/ {thedate}/{tit}/{x.Prenom_du_Conferencier}/{x.Nom_du_Conferencier}"
    print(s)
